Assets manager external providers API
Download OpenAPI specification:
Geometric search
The endpoint will return the geometric search results from physna along with more information about the asset and the file.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount
Request body for "Geometric search"
Media Type:
application/jsonexample: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]The fields to be returned for the expanded asset, file and dataset
Code samples for "Geometric search":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assetId": "string", "assetVersion": "string", "filePath": "string", "providerRequest": {}, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ], "pagination": { "page": 0, "pageSize": 0 }}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/geometric-search/projects/{projectId}"
Response example
{ "page": 0, "pageSize": 0, "results": [ { "organizationId": "string", "projectId": "string", "assetId": "string", "assetVersion": "string", "assetFilePath": "string", "providerResponse": null } ]}
Part search
The endpoint will return the part search results from physna along with more information about the asset and the file.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount
Request body for "Part search"
Media Type:
application/jsonexample: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]The fields to be returned for the expanded asset, file and dataset
Code samples for "Part search":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assetId": "string", "assetVersion": "string", "filePath": "string", "providerRequest": {}, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ], "pagination": { "page": 0, "pageSize": 0 }}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/part-search/projects/{projectId}"
Response example
{ "page": 0, "pageSize": 0, "results": [ { "organizationId": "string", "projectId": "string", "assetId": "string", "assetVersion": "string", "assetFilePath": "string", "providerResponse": null } ]}
Image search
The endpoint will return the image search results from physna along with more information about the asset and the file.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount
Request body for "Image search"
Media Type:
application/jsonexample: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]The fields to be returned for the expanded asset, file and dataset
Code samples for "Image search":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "providerRequest": {}, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ], "pagination": { "page": 0, "pageSize": 0 }}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/image-search/projects/{projectId}"
Response example
{ "page": 0, "pageSize": 0, "results": [ { "organizationId": "string", "projectId": "string", "assetId": "string", "assetVersion": "string", "assetFilePath": "string", "providerResponse": null } ]}
Image upload url
The endpoint will return the data needed to upload an image to use with the image search.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount
Code samples for "Image upload url":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "providerRequest": {}}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/image-upload-url/projects/{projectId}"
Response example
{ "providerResponse": null}